require "dotenv"
Dotenv.load

APP_PATH = File.expand_path("../", __FILE__) + "/aftalk"

module AfTalk
  autoload(:Response, "#{APP_PATH}/response.rb")
  autoload(:Client, "#{APP_PATH}/client.rb")

  extend AfTalk::Client
end

Dir["#{APP_PATH}/**/*.rb"].each { |file| require file }
